# -*- coding: utf-8 -*-

from openerp.osv import osv
from ...adm.control.utils import admConfiguracao
from datetime import datetime
import logging


class WebmobConfiguracoes(osv.Model):

    _inherit = 'webmob.configuracoes'
    logger = logging.getLogger(_inherit)

    def wmobconf_excluir_secoes(self, cr, uid, prazo=1):
        self.logger.info('Limpando webmob.config  -> Prazo:%s' % prazo)
        cfg = admConfiguracao('webmob', secao=None, cripto=False)
        for secao in cfg.cfg.sections():
            cfgEmAvaliacao = admConfiguracao('webmob', secao=secao, cripto=False)
            dataHora = datetime.strptime(cfgEmAvaliacao.datahora, '%Y-%m-%d %H:%M')
            agora = datetime.now()
            _diff = agora - dataHora
            self.logger.info('data hora encontrada:%s  Diferenca:%s' % (cfgEmAvaliacao.datahora, _diff))
            if (_diff.seconds / 3600.) > prazo:
                cfg.cfg.remove_section(secao)
                cfg.gravarConfiguracao()
        return True
